import { PostCard } from "@/components/partials/PostCard"

interface Post {
    post_id: string
    title: string
    description: string
    creator: {
        [key: string]: string
    }
    date: {
        [key: string]: string
    }
    media: Array<{
        [key: string]: string
    }>
}

interface GalleryGridProps {
    items: Post[]
}

export function GalleryGrid({ items }: GalleryGridProps) {
    return (
        <div className="flex flex-wrap flex-cols-6 justify-center gap-3 max-w-[120rem]">
            {items.map((item) => (
                <PostCard key={item.post_id} {...item} />
            ))}
        </div>
    )
}

